Bug 972473 - [abrt] winpdb-1.4.8-3.fc17: _core.py:14606:__getattr__:PyDeadObjectError: The C++ part of the CLocals object has been deleted, attribute access no longer allowed.
[abrt] winpdb-1.4.8-3.fc17: _core.py:14606:__getattr__:PyDeadObjectError: The...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: winpdb (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:c5a9a17faa9d5bd8a1882a8f507...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 12:24 EDT by Andre Vehreschild
Modified: 2013-08-01 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:37:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (860 bytes, text/plain)
2013-06-09 12:24 EDT, Andre Vehreschild
no flags Details
File: core_backtrace (367 bytes, text/plain)
2013-06-09 12:24 EDT, Andre Vehreschild
no flags Details
File: environ (1.58 KB, text/plain)
2013-06-09 12:24 EDT, Andre Vehreschild
no flags Details

  None (edit)
Description Andre Vehreschild 2013-06-09 12:24:14 EDT
Version-Release number of selected component:
winpdb-1.4.8-3.fc17

Additional info:
cmdline:        /usr/bin/python /usr/bin/winpdb /usr/bin/duplicity cleanup --force u1+http://deja-dup/pc --no-encryption --verbosity=9 --gpg-options=--no-use-agent --archive-dir=/home/vehre/.cache/deja-dup --log-fd=16
dso_list:       wxPython-2.8.12.0-2.fc17.x86_64
executable:     /usr/bin/winpdb
kernel:         3.8.13-100.fc17.x86_64
runlevel:       unknown
uid:            1000
ureports_counter: 1

Truncated backtrace:
_core.py:14606:__getattr__:PyDeadObjectError: The C++ part of the CLocals object has been deleted, attribute access no longer allowed.

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 14656, in <lambda>
    lambda event: event.callable(*event.args, **event.kw) )
  File "/usr/lib/python2.7/site-packages/winpdb.py", line 3607, in do_update_namespace
    self.m_tree.DeleteAllItems()
  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 14606, in __getattr__
    raise PyDeadObjectError(self.attrStr % self._name)
PyDeadObjectError: The C++ part of the CLocals object has been deleted, attribute access no longer allowed.

Local variables in innermost frame:
self: wxPython wrapper for DELETED CLocals object! (The C++ object no longer exists.)
args: ('m_tree',)
Comment 1 Andre Vehreschild 2013-06-09 12:24:25 EDT
Created attachment 758858 [details]
File: backtrace
Comment 2 Andre Vehreschild 2013-06-09 12:24:45 EDT
Created attachment 758859 [details]
File: core_backtrace
Comment 3 Andre Vehreschild 2013-06-09 12:24:55 EDT
Created attachment 758861 [details]
File: environ
Comment 4 Fedora End Of Life 2013-07-03 23:41:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:37:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.